%define tarball xf86-input-multitouch
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Xorg X11 multitouch input driver
Name:      	xorg-x11-drv-multitouch
Version: 	1.0
Release: 	1
Epoch:		1
URL:       	http://bitmath.org/code/multitouch
# source tarball crafted from git clone http://bitmath.org/git/multitouch.git
Source0:   	%{tarball}-%{version}.tar.bz2
License:   	GNU/GPLv2
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

ExclusiveArch: 	%{ix86} x86_64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg

BuildRequires:  pixman-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libpciaccess-devel

%Description 
X.Org X11 multitouch input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
#./autogen.sh
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/xorg/modules/input/multitouch.so
%{_datadir}/hal/fdi/policy/20thirdparty/11-multitouch.fdi

%changelog
* Wed Aug 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:1.0-1
- Initial CCux release, beta1
